@import "description.scss";

.mLibBtn {
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 50px;
    overflow: hidden;
    background-color: $color-red;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    line-height: 22px;
    font-weight: 600;
    font-family: 'Manrope', sans-serif;
    color: $color-white;
    border: none;
    box-sizing: border-box;
    border-radius: 30px;
    cursor: pointer;
    &:hover{
        background-color: $color-red-hover;
    }
    &:active{
        background-color: $color-red-active; 
    }

    @media screen and (min-width: 1020px) {
        width: 100%;
        height: 60px;

        &_fixed {
            width: 160px;
        }

        &-large  {
            width: 220px;
        }
    }

    &__text {
        opacity: 1;
        transition: opacity 0.25s ease-out;
    }

    &__line {
        opacity: 0;
        transition: opacity 0.25s ease-out;
    }

    &__icon {
        width: 20px;
        opacity: 0;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        transition: opacity 0.25s ease-out;
    }
    
    
    &_bordered {
        border: 2px solid $color-red;
        background-color: $color-white;
        color: $color-red;
        &:hover{
            color: $color-red-hover;
            border: 2px solid $color-red-hover;
            background-color: $color-white;
        }
        &:active{
            color: $color-red-active;
            border: 2px solid $color-red-active;
            background-color: $color-white;
        }
    }
    
    &:disabled,
    &_disabled {
        cursor: default;
        pointer-events: none;
        border: 0;
        background: $color-gray-disabled;
        color: $color-light-grey;
    }
    
    &_bordered:disabled,
    &_bordered.mLibBtn_disabled {
        border: 2px solid $color-gray-disabled;
        background-color: $color-white;
        color: $color-light-grey;
    }
    
    &_progress {
        cursor: default;
        pointer-events: none;
    
        .mLibBtn__text {
            opacity: 0;
        }
    
        .mLibBtn__line {
            position: absolute;
            left: 0;
            top: 0;
            height: 100%;
            background-color: $color-red-hover;
            transition: all .25s ease-out;
            opacity: 1;
        }
    
        .mLibBtn__icon {
            opacity: 1;
            height: 20px;
            background: url("/next-public-fast/loader.svg") center no-repeat;
            background-size: contain;
        }
    
        &-complete {
            cursor: default;
            pointer-events: none;

            .mLibBtn__text {
                opacity: 0;
            }
    
            .mLibBtn__line {
                width: 100% !important;
            }
    
            .mLibBtn__icon {
                opacity: 1;
                height: 15px;
                background: url("/next-public-fast/line.svg") center no-repeat;
                background-size: contain;
            }
        }
    }
    
    &_progress-complete:disabled,
    &_progress-complete.mLibBtn_disabled {
        background-color: $color-red;
    }
    
    &_progress:disabled,
    &_progress.mLibBtn_disabled {
        background-color: $color-red;
    }
    
    &-back {
        margin-right: 18px;
        width: 8px;
        height: 14px;
        background: url("/next-public-fast/btn-back.svg") center no-repeat;
        border: none;
        box-sizing: border-box;
        cursor: pointer; 
        outline: none;
    
        @media screen and (min-width: 1020px) {
            margin-right: 28px;
        }
    
    }
}